<?xml version="1.0" encoding="UTF-8"?>

<odoo>

    <!-- Event Registrations Tree View -->

    <record model="ir.ui.view" id="event_registration_tree_view">
        <field name="name">event.registration.tree.view</field>
        <field name="model">event.registration</field>
        <field name="type">tree</field>
        <field name="priority" eval="0"/>
        <field name="arch" type="xml">
            <tree string="Registration" fonts="bold:message_unread==True" create="0">
                <field name="partner_id"/>
                <field name="name" string="Attendee Name"/>
                <!-- <field name="identity_no"/> -->
                <field name="reg_no"/>
                <field name="event_id" string="Event"/>
                <field name="session_id" string="Session"/>
                <field name="reg_date" string="Registration Date"/>
                <field name="event_start_date" string="Start Date"/>
                <field name="event_end_date" string="End Date" widget="date"/>
                <field name="state"/>
            </tree>
        </field>
    </record>


    <!-- Event Registrations Form View -->

    <record id="event_registration_form_view_tpstst" model="ir.ui.view">
        <field name="name">tpstst.event.form.view</field>
        <field name="model">event.registration</field>
        <field name="type">form</field>
        <field name="inherit_id" ref="event.view_event_registration_form"/>
        <field name="arch" type="xml">
            <xpath expr="//sheet[1]" position="replace">
                <sheet string="Registration">
                    <label for="reg_no" string="Registration No."/>
                    <h1>
                        <field name="reg_no" readonly="1"/>
                    </h1>
                    <group col="4" colspan="4" string="Registration">
                        <field name="event_id" options="{'no_create': True}" readonly="1" force_save="1"/>
                        <field name="reg_date" readonly="1"/>
                        <field name="session_id" domain="[('event_id', '=', event_id)]" options="{'no_create': True}" readonly="1" force_save="1"/>
                        <field name="event_type" invisible="1"/>
                        <newline/>
                        <field name="event_start_date" widget="date" readonly="1" force_save="1"/>  
                        <field name="event_end_date" widget="date" readonly="1" force_save="1"/>    
                        <field name="no_of_people" readonly="1" force_save="1"/>    
                        <field name='responsible_user_id' readonly="1" force_save="1"/>
                        <field name="app_id" required="1" invisible="1"/>

                    </group>
                    <notebook>
                        <page name="general_info" string="General">
                            <group>
                                <group>
                                    <field name="partner_id" string="Member" domain="[('member', '=', True)]" invisible="1"/>
                                    <field name='name' attrs="{'readonly': [('state', '=', 'paid')]}" readonly="1" force_save="1"/>
                                    <field name='chinese_name' attrs="{'readonly': [('state', 'not in', ('draft', 'confirm', 'paid'))]}" readonly="1" force_save="1"/>
                                    <!-- <field name="gender" /> -->
                                    <!-- <field name="birthdate" /> -->
                                    <!-- <label for="street" string="Address / 地址"/>
                                    <div>
                                        <div class="o_address_format" name="div_address">
                                            <field name="street" placeholder="Street..." class="o_address_street"/>
                                            <field name="street2" placeholder="Street 2..." class="o_address_street"/>
                                            <div class="o_row">
                                                <field name="zip" placeholder="ZIP" class="o_address_zip"/>
                                                <field name="country_id" required="1" placeholder="Country" class="o_address_street" options='{"no_open": True, "no_create": True}'/>
                                            </div>
                                        </div>
                                    </div> -->
                                </group>
                                <group>
                                    <field name='title_id' attrs="{'readonly': [('state', 'not in', ('draft', 'confirm', 'paid'))]}" readonly="1" force_save="1"/>
                                    <field name="mobile" readonly="1" force_save="1"/>
                                    <!-- <field name="phone" attrs="{'required': [('is_existing_member', '=', False)]}"/> -->
                                    <field name="email" readonly="1" force_save="1"/>
                                    <!-- <field name="mailing_address" /> -->
                                    <!-- <field name='dialect_ids' widget="many2many_tags" options="{&quot;no_open&quot;: True, &quot;no_create&quot;: True}" attrs="{'readonly': [('state', 'not in', ('draft', 'confirm'))]}"/> -->
                                    <!-- <field name='company_id' domain="[('is_company', '=', True)]" options="{&quot;no_open&quot;: True, &quot;no_create&quot;: True}"/> -->
                                </group>
                            </group>
                        </page>
                    </notebook>
                </sheet>
            </xpath>
        </field>
    </record>

    <record model="ir.actions.act_window" id="event.action_registration">
        <field name="name">Event Registration</field>
        <field name="res_model">event.registration</field>
        <field name="view_type">form</field>
        <field name="domain"></field>
        <field name="view_mode">tree,form,calendar,pivot,graph</field>
        <field name="context">{}</field>
        <field name="search_view_id" ref="event.view_registration_search"/>
    </record>
</odoo>